petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPGetConvergenceContext

Gets the convergence context set with KSPSetConvergenceTest().

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPGetConvergenceContext(KSP ksp,void **ctx)

Not Collective

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()

### Output Parameter

| ctx | - monitoring context

### See Also

KSPConvergedDefault(), KSPSetConvergenceTest(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages